# Method: accounts.homepage.claim

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/claim#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/claim#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/claim#body.request_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/claim#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/claim#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/claim#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage/claim#try-it)

Claims a store's homepage. Executing this method requires admin access.

If the homepage is already claimed, this will recheck the verification (unless the business is exempted from claiming, which also exempts from verification) and return a successful response. If ownership can no longer be verified, it will return an error, but it won't clear the claim.

In case of failure, a canonical error message is returned:

- PERMISSION_DENIED: User doesn't have the necessary permissions on this Merchant Center account.

- FAILED_PRECONDITION:

     - The account is not a Merchant Center account.

     - Merchant Center account doesn't have a homepage.

     - Claiming failed (in this case the error message contains more
     details).

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1alpha/{name=accounts/*/homepage}:claim`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the homepage to claim. Format: `accounts/{account}/homepage` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "overwrite": boolean } ``` |

| Fields ||
|---|---|
| `overwrite` | `boolean` Optional. When set to `true`, this option removes any existing claim on the requested website from any other account to the account making the request, effectively replacing the previous claim. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.homepage#Homepage`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).